MEMORY 
	{
	flash  : ORIGIN = 0       , LENGTH = 262144
	vector : ORIGIN = 0x100000, LENGTH = 1024
	ram    : ORIGIN = 0x100400, LENGTH = 64512
	}

SECTIONS
{
	.vector :
	{
	M68k_vec = . ;
	} > vector
        .text :
	{
	text_start = . ;
        *(.text)
	_etext = ALIGN( 0x10 ) ;
        } > flash
        .data ADDR( .text ) + SIZEOF( .text ): 
	{
	data_start = . ;
        *(.data)
	edata = ALIGN( 0x10 ) ;
        } > flash
        .bss :
        {
	__bss_start = ALIGN( 0x10 ) ;
	*(.bss)
	*(COMMON)
	end = ALIGN( 0x10 ) ;
	_end = ALIGN( 0x10 ) ;
	} > ram
	.eram 0x110000 :
	{
	_ramend = . ;
	} > ram
}
