MEMORY 
	{
	vector : ORIGIN = 0x100000, LENGTH = 1024
	ram    : ORIGIN = 0x100400, LENGTH = 31744
	}

SECTIONS
{
	.vector :
	{
	M68k_vec = . ;
	} > vector
        .text :
	{
	text_start = . ;
        *(.text)
	_etext = ALIGN( 0x10 ) ;
        } > ram
        .data ADDR( .text ) + SIZEOF( .text ): 
	{
	data_start = . ;
        *(.data)
	edata = ALIGN( 0x10 ) ;
        } > ram
        .bss ADDR( .data ) + SIZEOF( .data ): 
        {
	__bss_start = ALIGN( 0x10 ) ;
	*(.bss)
	*(COMMON)
	end = ALIGN( 0x10 ) ;
	_end = ALIGN( 0x10 ) ;
	} > ram
	.eram 0x108000 :
	{
	_ramend = . ;
	} > ram
}
