/* crt0.S:  A startup file for the MC68332 
 *
 * (c) 1995, Dionne & Associates
 * (c) 1995, DKG Display Tech.
 */

	.global start
	.global main
	.global _exit
	.global __bss_start
	.global _ramend
	.global bload

	.text
	.org	0x0
boot_vec:
	.long	_ramend
	.long	start
bjmp:
	jmp	rstart

#ifdef METC321
start:
	nop
	movew	#0, 0xfffa20
	movew	#0x1003, 0xfffa4c
	movew   #0x38fe, 0xfffa4e
	movew   #0x1003, 0xfffa50
	movew   #0x58fe, 0xfffa52
	movew	#0x78b0, 0xfffa4a
	movew	#0x7f00, 0xfffa04
#else
start:
        nop
        movew   #0, 0xfffa20
	movew   #0x1005, 0xfffa4c /* CS0 RAML @1M */
        movew   #0x583e, 0xfffa4e /* Upper 0wait */
        movew   #0x1005, 0xfffa50 /* CS1 RAMM */
        movew   #0x383e, 0xfffa52 /* Lower 0wait */

        movew   #0x7870, 0xfffa4a /* CSBOOT 1wait */
        movew   #0x7f00, 0xfffa04 /* 512*32768Hz =16.67MHz */
#endif
	moveal	#_ramend, %sp
	pea	0

	moveal	#__bss_start, %a0
	moveal	#end, %a1
L1:
	movel	#0, (%a0)
	leal	4(%a0), %a0
	cmpal	%a0, %a1
	bne	L1

	pea	0
	pea	env
	pea	%sp@(4)
	pea	0

	jsr	main

_exit:
	bgnd
	jmp	_exit

#ifdef METC321
rstart:
	nop
	ori.w	#0x0700, %sr      /* ints off! */
	movew	#0, 0xfffa20
	movew	#0x1003, 0xfffa4c
	movew   #0x38fe, 0xfffa4e
	movew   #0x1003, 0xfffa50
	movew   #0x58fe, 0xfffa52
	movew	#0x78b0, 0xfffa4a
	movew	#0x7f00, 0xfffa04
#else
rstart:
        nop
	ori.w	#0x0700, %sr      /* ints off! */
        movew   #0, 0xfffa20
	movew   #0x1005, 0xfffa4c /* CS0 RAML @1M */
        movew   #0x583e, 0xfffa4e /* Upper 0wait */
        movew   #0x1005, 0xfffa50 /* CS1 RAMM */
        movew   #0x383e, 0xfffa52 /* Lower 0wait */

        movew   #0x7870, 0xfffa4a /* CSBOOT 1wait */
        movew   #0x7f00, 0xfffa04 /* 512*32768Hz =16.67MHz */
#endif
	moveal	#_ramend, %sp
	pea	0

	moveal	#__bss_start, %a0
	moveal	#end, %a1
L2:
	movel	#0, (%a0)
	leal	4(%a0), %a0
	cmpal	%a0, %a1
	bne	L2

	pea	0
	pea	env
	pea	%sp@(4)
	pea	0

	jsr	bload
	reset

	.data
env:
	.long	0
