#ifndef _SREC_H_
#define _SREC_H_

typedef struct sd0 {
  char _junk[2];
  char mname[20];
  char ver[2];
  char rev[2];
  char desc[36];
} SD0;

typedef struct sd1 {
  char addr[4];
  char data[72];
} SD1;

typedef struct sd2 {
  char addr[6];
  char data[70];
} SD2;

typedef struct sd3 {
  char addr[8];
  char data[68];
} SD3;

typedef struct sd5 {
  char csum[2];
} SD5;

typedef struct sd7 {
  char start[8];
  char csum[2];
} SD7;

typedef struct sd8 {
  char start[6];
  char csum[2];
} SD8;

typedef struct sd9 {
  char start[4];
  char csum[2];
} SD9;

typedef union sd {
  SD0 sd0;
  SD1 sd1;
  SD2 sd2;
  SD3 sd3;
  SD5 sd5;
  SD7 sd7;
  SD8 sd8;
  SD9 sd9;
} SD;

typedef struct srtext {
  char S;
  char Sn;
  char count[2];
  SD sd;
} SRTEXT;

typedef struct srbin {
  unsigned int addr;
  unsigned int count;
  unsigned char data[48];
} SRBIN;

#endif /* _SREC_H_ */
